---
- name: sanoid | Install sanoid and syncoid packages
  community.general.apk:
    name: sanoid, syncoid
    state: present

# 'sanoid' APK package comes with a 15min cronjob, so we only need to modify the configuration file
- name: sanoid | Create configuration file
  template:
    src: snapshot/sanoid.conf.j2
    dest: /etc/sanoid/sanoid.conf
    mode: '644'
    owner: root
    group: root
